@import '../../assests/variables/colours.scss';
@import '../../assests/variables/breakpoints.scss';

.mainContent {
  width: 100%;
  display: block;

  ul {
    display: flex;
    flex-wrap: wrap;
    align-items: inherit;
    text-align: left;
    justify-content: center;
    background-color: $background;

    li {
      width: 100%;
      position: relative;
      overflow: hidden;

      &:before {
        content: '';
        opacity: 0;
        transition: 1s opacity;
      }
      

      @include media('$mobLandscape') {
        width: calc(100% / 3);
      }

      @include media('$tablet') {
        width: calc(100% / 5);
      }

      &:hover {
        &:before {
          opacity: 1;
          width: calc(100% - 20px);
          height: calc(100% - 20px);
          border: 4px solid $active;
          border-radius: 5px;
          position: absolute;
          left: 5px;
          top: 5px;
          z-index: 1;
        }

        .result-title {
          color: $active;
        }

        .result-image {
          transform: scale(1.1);
        }
      }

      .result-image {
        width: 100%;
        display: block;
        transition: 2s all;
      }

      .result-title {
        width: calc(100% - 30px);
        display: block;
        position: absolute;
        bottom: 0;
        padding: 10px 15px;
        background-color: rgba($background, .7);
        min-height: 40px;
        transition: 0.5s all;
        color: $secondary;
      }
    }
  }
}